# Asterisk Project : Asterisk 13 Application_Playback

Created by wikibot on Aug 08, 2014

# Playback()

### Synopsis

Play a file.

### Description

Plays back given filenames (do not put extension of wav/alaw etc). The playback command answer the channel if no options are specified. If the file is non-existant it will fail

This application sets the following channel variable upon completion:

- `PLAYBACKSTATUS` - The status of the playback attempt as a text string.
  - SUCCESS
  - FAILED
    See Also: Background (application) – for playing sound files that are interruptible

WaitExten (application) – wait for digits from caller, optionally play music on hold

### Syntax

    Playback(filename&[filename2[&...]],[options])

##### Arguments

- `filenames`
  - `filename`
  - `filename2`
- `options` - Comma separated list of options
  - `skip` - Do not play if not answered
  - `noanswer` - Playback without answering, otherwise the channel will be answered before the sound is played.

### See Also

- Asterisk 13 Application_Background
- Asterisk 13 Application_WaitExten
- Asterisk 13 Application_ControlPlayback
- Asterisk 13 AGICommand_stream file
- Asterisk 13 AGICommand_control stream file
- Asterisk 13 ManagerAction_ControlPlayback

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538